6.0.0-git
2021-01-18

[#3165] Display/Input inconsistent for hourMinuteSecond variable type
Summary Display/Input inconsistent for hourMinuteSecond variable type
Queue Horde Framework Packages
Queue Version HEAD
Type Bug
State Resolved
Priority 2. Medium
Owners Horde Developers (at)
Requester robin (at) rainton (dot) com
Created 2005-12-18 (5510 days ago)
Due
Updated 2006-01-08 (5489 days ago)
Assigned 2005-12-21 (5507 days ago)
Resolved 2006-01-08 (5489 days ago)
Milestone
Patch No

History
2006-01-08 01:49:24 Chuck Hagenbuch Comment #3
State ⇒ Resolved
Reply to this comment
Fixed for HEAD and FRAMEWORK_3.
2005-12-21 17:10:00 Chuck Hagenbuch Comment #2
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
Analysis looks correct.
2005-12-18 09:47:49 robin (at) rainton (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Display/Input inconsistent for hourMinuteSecond variable type
Queue ⇒ Horde Framework Packages
Reply to this comment
Am trying to use an hourMinuteSecond variable for input and display 
only, by doing something like this in a form object:



     $this->addVariable(_("Start Time"), "start_time", 
'hourMinuteSecond', false);



In order to put a value in there for display have tried these options:



       $this->_vars->set('start_time', array("hour" => $hour, "minute" 
=> $minute, "second" => $second));



Which works when the form is active (input) but not inactive (display 
only). In display only, the value is not shown (just a blank space 
appears).



Have also tried this:



       $this->_vars->set("start_time[hour]", $hour);

       $this->_vars->set("start_time[minute]", $minute);

       $this->_vars->set("start_time[second]", $second);



With the same result.



The only way to get something to appear in display only (inactive 
form) is do to this:



       $this->_vars->set($timevar, "$hour:$minute:second");



But then the value is not shown when the form is active for input from 
the user.



I believe the last option I show is incorrect and the display of the 
first two is broken because there should be a custom 
_renderVarDisplay_hourMinuteSecond functon.

Saved Queries